Your submission was sent successfully! Close

CVE-2017-7831

Published: 15 November 2017

A vulnerability where the security wrapper does not deny access to some exposed properties using the deprecated "_exposedProps_" mechanism on proxy objects. These properties should be explicitly unavailable to proxy objects. This vulnerability affects Firefox < 57.

Priority

Medium

CVSS 3 base score: 5.3

Status

Package Release Status
firefox
Launchpad, Ubuntu, Debian
Upstream
Released (57.0)
Ubuntu 21.10 (Impish Indri)
Released (57.0.1+build2-0ubuntu1)
Ubuntu 21.04 (Hirsute Hippo)
Released (57.0.1+build2-0ubuntu1)
Ubuntu 20.04 LTS (Focal Fossa)
Released (57.0.1+build2-0ubuntu1)
Ubuntu 18.04 LTS (Bionic Beaver)
Released (57.0.1+build2-0ubuntu1)
Ubuntu 16.04 ESM (Xenial Xerus)
Released (57.0+build4-0ubuntu0.16.04.5)
Ubuntu 14.04 ESM (Trusty Tahr) Does not exist
(trusty was released [57.0+build4-0ubuntu0.14.04.4])
mozjs38
Launchpad, Ubuntu, Debian
Upstream Needs triage

Ubuntu 21.10 (Impish Indri) Does not exist

Ubuntu 21.04 (Hirsute Hippo) Does not exist

Ubuntu 20.04 LTS (Focal Fossa) Does not exist

Ubuntu 18.04 LTS (Bionic Beaver) Needs triage

Ubuntu 16.04 ESM (Xenial Xerus) Does not exist

Ubuntu 14.04 ESM (Trusty Tahr) Does not exist

mozjs52
Launchpad, Ubuntu, Debian
Upstream Needs triage

Ubuntu 21.10 (Impish Indri) Does not exist

Ubuntu 21.04 (Hirsute Hippo) Does not exist

Ubuntu 20.04 LTS (Focal Fossa) Deferred

Ubuntu 18.04 LTS (Bionic Beaver) Deferred

Ubuntu 16.04 ESM (Xenial Xerus) Does not exist

Ubuntu 14.04 ESM (Trusty Tahr) Does not exist

Notes

AuthorNote
tyhicks
mozjs contains a copy of the SpiderMonkey JavaScript engine
chrisccoulson
This is not fixed in mozjs52, but it's unclear whether it is
unaffected or just ignored as https://bugzilla.mozilla.org/show_bug.cgi?id=1392026
is still private and I can't find a changeset referencing it)

References